- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理应用
- /
- 刷新应用密钥
¶ Refresh application key
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Refresh application secret
¶ Method name
ManagementClient.refresh_application_secret
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| appId | string | yes | - | Application ID | 6229ffaxxxxxxxxcade3e3d9 |
¶ Request Response
Type: RefreshApplicationSecretRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | RefreshApplicationSecretDataDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"secret": "860830c5a647xxxxxx7bd4d0dd94bf23"
}
}
¶ Data Structure
¶ RefreshApplicationSecretDataDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| secret | string | yes | New application key | 860830c5a647xxxxxx7bd4d0dd94bf23 |
